Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 219064 - Provide a way how to add 'content-description' to UC catalog
Provide a way how to add 'content-description' to UC catalog
Status: RESOLVED FIXED
Product: www
Classification: Unclassified
Component: Builds & Repositories
7.3
All All
: P2 (vote)
: 7.3
Assigned To: pgebauer
nbre
73beta2-stopper
:
Depends on:
Blocks: 211741
  Show dependency treegraph
 
Reported: 2012-09-26 14:46 UTC by Jiri Rechtacek
Modified: 2012-11-07 03:40 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (2.84 KB, patch)
2012-11-06 08:32 UTC, Jiri Rechtacek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2012-09-26 14:46:44 UTC
See issue 211741. It's needed a way how to set content-description element to UC catalog in build time.
Comment 1 Tomas Danek 2012-11-05 14:46:20 UTC
Petre, we would like that our next 7.3 beta2 build would contain this. Keep in touch with Jirka R.
Thanks.
Comment 2 Jiri Rechtacek 2012-11-06 08:32:55 UTC
Created attachment 127190 [details]
proposed patch

Petr, please review the patch and apply in trunk and release73_beta2 as well.
In job configuration of 7.3 Beta2 just add:
CONTENT_DESCRIPTION="NetBeans 7.3 Beta 2"
CONTENT_DESCRIPTION_URL=http://netbeans.org/community/releases/73/
export CONTENT_DESCRIPTION CONTENT_DESCRIPTION_URL


Thanks
Comment 3 pgebauer 2012-11-06 09:10:28 UTC
(In reply to comment #2)
> Petr, please review the patch and apply in trunk and release73_beta2 as well.

It seems, setter and getter methods names in custom ant tasks are not case sensitive so the change in /nbbuild/antsrc/org/netbeans/nbbuild/MakeUpdateDesc.java is not needed. Al least the original source code worked for me yesterday.

Since all necessary changes in the source code of /nbbuild/antsrc/org/netbeans/nbbuild/MakeUpdateDesc.java were already in place, I committed my own change in /nbbuild/build.xml yesterday ( please see http://hg.netbeans.org/web-main/rev/1f486eadd2be )

> In job configuration of 7.3 Beta2 just add:
> CONTENT_DESCRIPTION="NetBeans 7.3 Beta 2"
> CONTENT_DESCRIPTION_URL=http://netbeans.org/community/releases/73/
> export CONTENT_DESCRIPTION CONTENT_DESCRIPTION_URL

IMHO it doesn't make sense to change 7.3 beta2 job configuration because catalogs for real 73 beta2 AUCs are generated in a separate process. Or do you need for some reason to have the content description in catalogs from the regular build? I don't know any meaningful utilization for them.
Comment 4 Jiri Rechtacek 2012-11-06 11:21:00 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Petr, please review the patch and apply in trunk and release73_beta2 as well.
> 
> It seems, setter and getter methods names in custom ant tasks are not case
> sensitive so the change in
> /nbbuild/antsrc/org/netbeans/nbbuild/MakeUpdateDesc.java is not needed. Al
Right, not needed to changing it.

> least the original source code worked for me yesterday.
> 
> Since all necessary changes in the source code of
> /nbbuild/antsrc/org/netbeans/nbbuild/MakeUpdateDesc.java were already in place,
> I committed my own change in /nbbuild/build.xml yesterday ( please see
> http://hg.netbeans.org/web-main/rev/1f486eadd2be )
Okay, I'll close it as fixed.

> > In job configuration of 7.3 Beta2 just add:
> > CONTENT_DESCRIPTION="NetBeans 7.3 Beta 2"
> > CONTENT_DESCRIPTION_URL=http://netbeans.org/community/releases/73/
> > export CONTENT_DESCRIPTION CONTENT_DESCRIPTION_URL
> 
> IMHO it doesn't make sense to change 7.3 beta2 job configuration because
> catalogs for real 73 beta2 AUCs are generated in a separate process. Or do you
> need for some reason to have the content description in catalogs from the
> regular build? I don't know any meaningful utilization for them.
Comment 5 Quality Engineering 2012-11-07 03:40:16 UTC
Integrated into 'main-golden', will be available in build *201211070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1f486eadd2be
User: PGebauer <pgebauer@netbeans.org>
Log: #219064 Provide a way how to add 'content-description' to UC catalog


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo